Subject: Bug#569: [X2Go-Dev] Bug#569: Cinnamon 1.4: Failed to load session "cinnamon2d"

From: Michael DePaulo <[email-masked]>
Date: Fri, 15 Aug 2014 08:46:38 -0400

On Fri, Aug 15, 2014 at 5:18 AM, Mike Gabriel
<[email-masked]> wrote:
> Hi Mike#2
>
>
> On  Do 14 Aug 2014 15:48:33 CEST, Michael DePaulo wrote:
>
>> Package: x2goserver
>> Version: 4.1.0.0-nightly
>>
>> When I attempt to launch "session type" "custom desktop" "CINNAMON", I
>> get this error dialog:
>> Failed to load session "Cinnamon2d"
>> http://imgur.com/VQ0A1si
>>
>> I emailed bug report 150 a bunch of details about Cinnamon 1.4 and my
>> test setup, but those details are not showing up on bug report 150. So
>> I am copying them (and made minor updates) below:
>>
>> Clearly the problem is that x2goruncommand has incorrect logic for
>> launching this version of Cinnamon, 1.4.
>>
>> Remember that this version of CInnamon, on this version of Linux
>> Mint, is supported through April 2017.
>>
>> Version 1.4 is probably used on other distros too.
>
>
> Can you provide a patch for x2goruncommand? Probably for x2goserver on
> release/4.0.1.x branch?
>
> Mike
[...]

Yes, I plan to do so.

1st, I've been brainstorming what logic to implement for different
versions of Cinnamon. For example, do I run apt or yum commands to
check what version is installed? There are other packaging systems
too.

I think what is best is to run the 2D cinnamon session scripts in
order from newest to latest, if they exist. This will be a simple
script I can write quickly.

2.0 & 2.2: cinnamon-session-cinnamon2d
1.6 & 1.8: gnome-session-cinnamon2d
1.4: gnome-session-cinnamon

I determined the versions' commands by browsing the .deb contents under here:
http://packages.linuxmint.com/pool/main/c/cinnamon/

Do I still need to export DESKTOP_SESSION before calling the scripts?
Those scripts do not export it, but x2goruncommand exports it before
calling gnome-session.

-Mike#2